Bug Hunting Session
Bug 92220 - Easy activation and deactivation of sidebar mode
Summary: Easy activation and deactivation of sidebar mode
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
5.1.0.0.alpha0+ Master
Hardware: Other All
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: needsDevEval, topicUI
Depends on:
Blocks: Sidebar-UI-UX
  Show dependency treegraph
 
Reported: 2015-06-21 02:48 UTC by Yousuf Philips (jay) (retired)
Modified: 2016-10-24 16:27 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) (retired) 2015-06-21 02:48:10 UTC
A number of users prefer to use the sidebar over the formatting/properties contextual toolbars in Writer and Calc, so we should provide an easy means for such users to activate this sidebar usage mode, so they dont have to disable the contextual toolbars one by one whenever they pop up.

In a similar way, a user should be able to deactivate this mode and return to using the toolbars, which was recently activated by default in Impress and Draw.
Comment 1 Heiko Tietze 2015-06-21 08:42:19 UTC
I wouldn't say people need "easy means" to have either the one or the other workflow. It's rather a configuration option which I agree with totally.
Comment 2 Buovjaga 2015-06-21 16:20:50 UTC
Sounds ok, NEW.
Comment 3 Yousuf Philips (jay) (retired) 2015-06-24 00:12:03 UTC
(In reply to Heiko Tietze from comment #1)
> I wouldn't say people need "easy means" to have either the one or the other
> workflow. It's rather a configuration option which I agree with totally.

I would say the if Benjamin was a Mac user came from iWork Pages to LibreOffice Writer and was used to its sidebar and heard that LO could work in the same way, he'd like to be able to easily enable it in View > Mode > Sidebar Mode rather than go hunting in the Tools > Options dialog. :D
Comment 4 Heiko Tietze 2015-06-24 07:38:40 UTC
But Benjamin is doing so only once (or twice when switching back disappointed from the LO sidebar). Having this option at such a prominent position clutters the main menu for not much reason. Do you have an use case where Benjamin has to switch back and forth? Maybe with a notebook plugged into a docking station (27" display with 16:9) vs. mobile (14", 4:3)?
Comment 5 Yousuf Philips (jay) (retired) 2015-06-24 17:08:48 UTC
(In reply to Heiko Tietze from comment #4)
> But Benjamin is doing so only once (or twice when switching back
> disappointed from the LO sidebar). Having this option at such a prominent
> position clutters the main menu for not much reason.

As Benjamin is expected to never have to open the main menu, having him go through the main menu and then into the options dialog is a very long way to go. In the View menu, we have things that Benjamin and likely most of us wont ever use like Field Shadings, Hidden Paragraphs, Data Sources, etc., so placing sidebar mode, as well as other modes like single toolbar mode (bug 92218) into the View menu is useful to have similar to having Full Screen mode.

> Do you have an use case
> where Benjamin has to switch back and forth? Maybe with a notebook plugged
> into a docking station (27" display with 16:9) vs. mobile (14", 4:3)?

With Benjamin, i'd assume he'd like to activate it once and if he likes it, he'd keep it or switch back to the old style. This is similar to most of the options in the View menu of enabling/disabling something in view.
Comment 6 Yousuf Philips (jay) (retired) 2015-11-11 09:32:02 UTC
Some information about sidebar mode was placed in the redmine forum.

https://redmine.documentfoundation.org/boards/1/topics/163
Comment 7 Yousuf Philips (jay) (retired) 2016-08-23 15:03:39 UTC
Fixed in bug 101249.